using Avalonia;
using Avalonia.Controls;
using Avalonia.Markup.Xaml;

namespace detect.gui.Controls;

public partial class ProgressBox : UserControl
{
    public static readonly StyledProperty<int> IconWidthProperty =
        AvaloniaProperty.Register<ProgressBox, int>(nameof(IconWidth));
    public int IconWidth
    {
        get => GetValue(IconWidthProperty);
        set => SetValue(IconWidthProperty, value);
    }
    
    public static readonly StyledProperty<int> IconHeightProperty =
        AvaloniaProperty.Register<ProgressBox, int>(nameof(IconHeight));
    public int IconHeight
    {
        get => GetValue(IconHeightProperty);
        set => SetValue(IconHeightProperty, value);
    }
    
    public ProgressBox()
    {
        InitializeComponent();
    }

    private void InitializeComponent()
    {
        AvaloniaXamlLoader.Load(this);
    }
}